///*
// * *********************************************************************************************************************
// *
// *          !!
// *        .F88X
// *        X8888Y
// *      .}888888N;
// *        i888888N;        .:!              .I$WI:
// *          R888888I      .'N88~            i8}+8Y&8"l8i$8>8W~'>W8}8]KW+8IIN"8&
// *          .R888888I    .;N8888~          .X8'  "8I.!,/8"  !%NY8`"8I8~~8>,88I
// *            +888888N;  .8888888Y                                  "&&8Y.}8,
// *            ./888888N;  .R888888Y        .'}~    .>}'.`+>  i}!    "i'  +/'  .'i~  !11,.:">,  .~]!  .i}i
// *              ~888888%:  .I888888l      .]88~`1/iY88Ii+1'.R$8$8]"888888888>  Y8$  W8E  X8E  W8888'188Il}Y88$*
// *              18888888    E8888881    .]W%8$`R8X'&8%++N8i,8N%N8+l8%`  .}8N:.R$RE%N88N%N$K$R  188,FE$8%~Y88I
// *            .E888888I  .i8888888'      .:$8I;88+`E8R:/8N,.>881.`$8E/1/]N8X.Y8N`"KF&&FK!'88*."88K./$88%RN888+~
// *            8888888I  .,N888888~        ~88i"8W,!N8*.I88.}888%F,i$88"F88"  888:E8X.>88!i88>`888*.}Fl1]*}1YKi'
// *          i888888N'      I888Y          ]88;/EX*IFKFK88X  K8R  .l8W  88Y  ~88}'88E&%8W.X8N``]88!.$8K  .:W8I
// *        .i888888N;        I8Y          .&8$  .X88!  i881.:%888>I88  ;88]  +88+.';;;;:.Y88X  18N.,88l  .+88/
// *      .:R888888I
// *      .&888888I                                          Copyright (c) 2009-2020.  博锐尚格科技股份有限公司
// *        ~8888'
// *        .!88~                                                                     All rights reserved.
// *
// * *********************************************************************************************************************
// */
//
//package com.persagy.server.controllers.rel
//
//import com.persagy.base.extensions.toJson
//import com.persagy.server.datacenter.models.entities.rel.RSpForSyBaseList
//import com.persagy.server.datacenter.models.entities.rel.RSyForSpBase
//import com.persagy.server.datacenter.models.entities.rel.RSyForSpBaseList
//import com.persagy.server.services.rel.RSyForSpBaseService
//import com.persagy.service.models.responses.SBaseResponse
//import com.persagy.service.models.responses.SCreateResponse
//import io.swagger.v3.oas.annotations.Operation
//import io.swagger.v3.oas.annotations.tags.Tag
//import org.slf4j.LoggerFactory
//import org.springframework.web.bind.annotation.PostMapping
//import org.springframework.web.bind.annotation.RequestBody
//import org.springframework.web.bind.annotation.RequestMapping
//import org.springframework.web.bind.annotation.RestController
//
///**
// * 系统服务于业务空间
// *
// * @author 付国宝
// */
//@Tag(name = "029、关系-系统服务于业务空间")
//@RestController
//@RequestMapping("/rel/sy-for-sp-base")
//class RSyForSpController {
//
//    companion object {
//        /** 日志 */
//        private val logger = LoggerFactory.getLogger(RSyForSpController::class.java)
//    } // Companion object
//
//    /**
//     * 创建系统服务于业务空间关系
//     *
//     * @param    rSyForSpBase       系统和业务空间的关系对象
//     * @return                      创建的结果信息
//     */
//    @Operation(summary = "创建系统服务于业务空间关系", description = "必填项：SysID（系统id）、SpaceID(业务空间id)")
//    @PostMapping(value = ["/link"])
//    fun create(@RequestBody rSyForSpBase: RSyForSpBase): SCreateResponse<RSyForSpBase> {
//        logger.debug("space =${rSyForSpBase.toJson()}")
//        return RSyForSpBaseService.create(rSyForSpBase)
//    } // Function create()
//
//    /**
//     * 根据对象删除关系
//     *
//     * @param   rSyForSpBase      对象
//     * @return                    删除的结果信息
//     */
//    @Operation(summary = "根据对象删除系统服务于业务空间关系，只针对一个对象", description = "必填项：SysID（系统id）、SpaceID(业务空间id)")
//    @PostMapping(value = ["/unlink"])
//    fun delete(@RequestBody rSyForSpBase: RSyForSpBase): SBaseResponse {
//        return RSyForSpBaseService.deletes(rSyForSpBase)
//    } // Function delete()
//
//    /**
//     * 创建系统服务于业务空间关系
//     *
//     * @param   rSyForSpBase   系统和业务空间的关系对象
//     * @return                 创建的结果信息
//     */
//    @Operation(summary = "系统服务于业务空间关系，系统一对多", description = "必填项：SpaceIdList（业务空间id列表）、SysID(系统id)，测方法会覆盖以前的记录")
//    @PostMapping(value = ["/link-sp"])
//    fun createSp(@RequestBody rSyForSpBase: RSyForSpBaseList): SCreateResponse<RSyForSpBase> {
//        logger.debug("space =${rSyForSpBase.toJson()}")
//        return RSyForSpBaseService.createSy(rSyForSpBase)
//    } // Function createSp()
//
//    /**
//     * 创建服务于业务空间的系统关系
//     *
//     * @param   rSyForSpBase    系统和业务空间的关系对象
//     * @return                  创建的结果信息
//     */
//    @Operation(summary = "服务于业务空间的系统，业务空间一对多",description = "必填项：SpaceId（业务空间id）、SysIDList(系统id列表)，测方法会覆盖以前的记录")
//    @PostMapping(value = ["/link-sy"])
//    fun createSy(@RequestBody rSyForSpBase: RSpForSyBaseList): SCreateResponse<RSyForSpBase> {
//        logger.debug("space =${rSyForSpBase.toJson()}")
//        return RSyForSpBaseService.createsSp(rSyForSpBase)
//    } // Function createSy()
//
//}